* {
    box-sizing: border-box;
    font-family: 'Segoe UI', sans-serif;
    margin: 0;
    padding: 0;
}

body {
    display: flex;
    height: 100vh;
    background: #fff;
}

.container {
    display: flex;
    width: 100%;
    height: 100%;
}

.left-pane {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #f8f8f8;
    border-top-left-radius: 20px;
    border-bottom-left-radius: 20px;
}

.img{
    max-width: 700px;
    height: 630px;
    border-radius: 16px; 
}

.right-pane {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 40px 60px;
}

.back {
    font-size: 14px;
    margin-bottom: 20px;
    text-decoration: none;
    color: #000;
}

.logo {
    display: flex;
    justify-content: center;
    margin-bottom: 15px;
}

.logo img {
    width: 160px;
}

h2 {
    text-align: center;
    font-size: 24px;
    margin-bottom: 30px;
    color: #1e1e1e;
}

form {
    display: flex;
    flex-direction: column;
    gap: 12px;
}

label {
    font-size: 14px;
    font-weight: 500;
}

input {
    padding: 12px;
    border: 1px solid #d0d5dd;
    border-radius: 8px;
    font-size: 14px;
}

.hint {
    font-size: 12px;
    color: #828282;
    margin-top: -8px;
    margin-bottom: 10px;
}

button {
    background-color: #7f56d9;
    color: white;
    font-size: 15px;
    padding: 14px;
    border: none;
    border-radius: 8px;
    cursor: pointer;
    transition: background 0.3s ease;
}

button:hover {
    background-color: #6938b9;
}

.signup-link {
    margin-top: 20px;
    font-size: 14px;
    text-align: center;
}

.signup-link a {
    color: #7f56d9;
    text-decoration: none;
}
.footer-socials {
    display: flex;
    gap: 10px;
}

.footer-socials img {
    width: 40px;
    height: 40px;
    margin-left: 80px;
}

@media (max-width: 768px) {
    body {
        flex-direction: column;
        height: auto;
    }

    .container {
        flex-direction: column;
        height: auto;
        padding: 2rem 1.2rem;
    }

    .left-pane {
        display: none; /* Hide image on mobile */
    }

    .right-pane {
        width: 100%;
        padding: 0;
        align-items: center;
        justify-content: center;
    }

    .logo {
        margin-bottom: 25px;
    }

    .logo img {
        width: 140px;
    }

    h2 {
        font-size: 22px;
        margin-bottom: 25px;
    }

    form {
        width: 100%;
    }

    label {
        font-size: 13px;
    }

    input {
        padding: 10px;
        font-size: 14px;
    }

    .hint {
        font-size: 11px;
        margin-top: -6px;
        margin-bottom: 8px;
    }

    button {
        width: 100%;
        font-size: 15px;
        padding: 12px;
        margin-top: 10px;
    }

    .signup-link {
        font-size: 13px;
        margin-top: 16px;
    }

    .signup-link a {
        font-size: 13px;
    }

    .back {
        font-size: 13px;
        margin-bottom: 16px;
    }
}
